Roundcube - Enigma Plugin

Discussion in 'Plugins/Modules/Addons' started by Alex1337, Sep 21, 2019.

  1. Alex1337

    Alex1337 New Member

    Hello,

    I have activated Enigma (PGP) plugin on Roundcube, but it fail to generate keys.

    Error message : "Identity must have a user name defined!"

    Encrypt/decrypt is working well.

    Roundcube version : 1.2.3
    ISPConfig Version: 3.1.15
    Linux version : Linux isp02 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1+deb9u4 (2019-07-19) x86_64 GNU/Linux
     

    Attached Files:

  2. Alex1337

    Alex1337 New Member

    Resolved :
    openpgp.min.js is missing in ispconfig release. You can get it from : github(.)com/roundcube/roundcubemail/releases/tag/1.2.3
    Last openpgp.min.js doesn't work.
    Is it possible to update roundcube and enigma on the next update ?
    Regards
     
  3. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    ISPConfig makes neither roundcube nor enigma.
    The ISPConfig perfect server quide does not install enigma, so the extra parts it needs are out of scope here.
    That said, ISPConfig is open source, so you can modify it and give back your improvements to ISPConfig.
    If you think enigma should be included in ISPConfig, you can file a feature request in the bug tracker.
     
    till likes this.

Share This Page